Subject: Re: bug#59715: 28.2; Emacs crashes after ``turkish-case-conversion-enable''

From: YUSUF ALPER ÇIKIŞIR <[email-masked]>
Date: Sun, 04 Dec 2022 16:56:39 +0300

Eli Zaretskii <[email-masked]> writes:

> Then, when the breakpoint breaks, look at the name it displays and see if
> you see some pattern that has "Iosevka" in it.  You will have to type
> "continue" each time the breakpoint breaks, to continue Emacs.  If I'm
> right, you will see something with "Iosevka" in it.

I'm not seeing the "Iosevka" string.

(gdb) source ~/repo/emacs-28.2/src/.gdbinit
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0.0
TERM = screen.xterm-256color
Breakpoint 1 at 0x562dda: file emacs.c, line 400.
Breakpoint 2 at 0x53af51: file xterm.c, line 10291.
(gdb) break fontset.c:1701
Breakpoint 3 at 0x6c297a: file fontset.c, line 1701.
(gdb) commands
Type commands for breakpoint(s) 3, one per line.
End with a line saying just "end".
>pp name
>end
(gdb) run -Q
Starting program: /home/ytc/repo/emacs-28.2/src/emacs -Q
warning: Unable to find libthread_db matching inferior's thread library, thread debugging will not be available.
[New LWP 4536]

Thread 1 "emacs" hit Breakpoint 3, Fnew_fontset (name=XIL(0x7ffff5399ecc), fontlist=XIL(0xc94393)) at fontset.c:1701
1701      name = Fdowncase (name);
"fontset-default"
(gdb) continue
Continuing.

Thread 1 "emacs" hit Breakpoint 3, Fnew_fontset (name=XIL(0xe4bdc4), fontlist=XIL(0)) at fontset.c:1701
1701      name = Fdowncase (name);
"-*-fixed-medium-r-normal-*-16-*-*-*-*-*-fontset-standard"
(gdb) continue
Continuing.

Thread 1 "emacs" hit Breakpoint 1, terminate_due_to_signal (sig=6, backtrace_limit=40) at emacs.c:400
400       signal (sig, SIG_DFL);

> Yes.  One other idea is to use Fontconfig aliases, so that the font can be
> named differently as far as Emacs is concerned, but I'm not sure it will
> help.

I will look into that.